gnutls_pkcs7_set_crt(3)

NAME
gnutls_pkcs7_set_crt - This function adds a parsed certificate in a PKCS7 certificate set

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_set_crt(gnutls_pkcs7_t pkcs7, gnutls_x509_crt_t crt);

ARGUMENTS

gnutls_pkcs7_t pkcs7

gnutls_x509_crt_t crt
    the certificate to be copied.

DESCRIPTION
This function will add a parsed certificate to the PKCS7 or RFC2630 certificate set. This is a wrapper function over gnutls_pkcs7_set_crt_raw() . Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.